/*----------------------------------------------------------------------------
** This file has been automatically generated by configure any changes in it
** will be lost when you run configure again.
** Instead of modifying definitions here, use the --enable/--disable options
** of the configure script! See ./configure --help for details.
*---------------------------------------------------------------------------*/

#ifndef MPLAYER_CONFIG_H
#define MPLAYER_CONFIG_H

/* Undefine this if you do not want to select mono audio (left or right)
   with a stereo MPEG layer 2/3 audio stream. The command line option
   -stereo has three possible values (0 for stereo, 1 for left-only, 2 for
   right-only), with 0 being the default.
   */
#define CONFIG_FAKE_MONO 1

/* set up max. outburst. use 65536 for ALSA 0.5, for others 16384 is enough */
#define MAX_OUTBURST 65536

/* set up audio OUTBURST. Do not change this! */
#define OUTBURST 512

/* Enable fast OSD/SUB renderer (looks ugly, but uses less CPU power) */
#undef FAST_OSD
#undef FAST_OSD_TABLE

/* Define this to enable MPEG-1/2 image postprocessing in libmpeg2 */
#define MPEG12_POSTPROC 1
#define ATTRIBUTE_ALIGNED_MAX 16



#define CONFIGURATION ""

#define MPLAYER_DATADIR "/usr/local/share/mplayer"
#define MPLAYER_CONFDIR "/usr/local/etc/mplayer"
#define MPLAYER_LIBDIR "/usr/local/lib"

/* definitions needed by included libraries */
#define HAVE_INTTYPES_H 1
/* libmpeg2 + FFmpeg */

/* libdvdcss */
#define HAVE_ERRNO_H 1
/* libdvdcss + libdvdread */
#define HAVE_LIMITS_H 1
/* libdvdcss + libfaad2 */
#define HAVE_UNISTD_H 1
/* libfaad2 + libdvdread */
#define STDC_HEADERS 1
#define HAVE_MEMCPY 1
/* libdvdread */
#define HAVE_UINTPTR_T 1


/* system headers */
#define HAVE_ALLOCA_H 1
#define HAVE_ALSA_ASOUNDLIB_H 1

#define HAVE_MALLOC_H 1
#define HAVE_SYS_MMAN_H 1

#undef HAVE_SOUNDCARD_H
#undef HAVE_SYS_ASOUNDLIB_H
#define HAVE_SYS_SOUNDCARD_H 1
#define HAVE_SYS_SYSINFO_H 1
#undef HAVE_TERMIOS_H
#define HAVE_SYS_TERMIOS_H 1
#undef HAVE_WINSOCK2_H


/* system functions */
#define HAVE_GETHOSTBYNAME2 1
#define HAVE_GETTIMEOFDAY 1
#define HAVE_GLOB 1
#define HAVE_LANGINFO 1
#define HAVE_LLRINT 1
#define HAVE_LRINT 1
#define HAVE_LRINTF 1

#define HAVE_MEMALIGN 1

#define HAVE_NANOSLEEP 1
#define HAVE_POSIX_SELECT 1
#define HAVE_ROUND 1
#define HAVE_ROUNDF 1
#define HAVE_AUDIO_SELECT 1
#define HAVE_SETENV 1
#define HAVE_SHM 1
#define HAVE_STRSEP 1
#define HAVE_SWAB 1


#undef HAVE_TERMCAP
#define HAVE_TERMIOS 1
#define HAVE_VSSCANF 1


/* system-specific features */
#define ASMALIGN(ZEROBITS) ".align 1<<" #ZEROBITS "\n\t"
#define HAVE_BUILTIN_EXPECT 1
#define HAVE_LIBDL 1
#define CONFIG_ICONV 1
#undef HAVE_LIBKSTAT



#define NAMED_ASM_ARGS 1

#define restrict __restrict
#define HAVE_RTC 1
#define CONFIG_UNRAR_EXEC 1


/* configurable options */
#define MSG_CHARSET "UTF-8"
#undef CONFIG_CRASH_DEBUG
#undef MP_DEBUG
#undef CONFIG_DYNAMIC_PLUGINS
#define CONFIG_FASTMEMCPY 1
#undef CONFIG_MENU
#undef RUNTIME_CPUDETECT
#define CONFIG_SIGHANDLER 1
#define CONFIG_SORTSUB 1
#define CONFIG_STREAM_CACHE 1


/* CPU stuff */
#define __CPU__ 686
#undef WORDS_BIGENDIAN
#define ARCH_X86 1
#define ENABLE_X86 1
#define ARCH_X86_32 1
#define ENABLE_X86_32 1
#define ENABLE_X86_64 0
#define ENABLE_IA64 0
#define ENABLE_SPARC 0
#define ENABLE_ARM 0
#define ENABLE_ARMV4L 0
#define ENABLE_SH 0
#define ENABLE_POWERPC 0
#define ENABLE_PPC 0
#define ENABLE_ALPHA 0
#define ENABLE_SGI_MIPS 0
#define ENABLE_PA_RISC 0
#define ENABLE_S390 0
#define ENABLE_S390X 0
#define ENABLE_VAX 0
#define ENABLE_BFIN 0
#define ENABLE_XTENSA 0
#define ENABLE_GENERIC 0
#define ENABLE_ALTIVEC 0
#define HAVE_MMX 1
#define ENABLE_MMX 1
#define HAVE_MMX2 1
#define ENABLE_MMX2 1
#define ENABLE_3DNOW 0
#define ENABLE_3DNOWEX 0
#define HAVE_SSE 1
#define ENABLE_SSE 1
#define HAVE_SSE2 1
#define ENABLE_SSE2 1
#define ENABLE_SSSE3 0
#define ENABLE_FAST_CMOV 0
#define HAVE_CMOV 1
#define ENABLE_CMOV 1
#define ENABLE_PLD 0
#define ENABLE_ARMV5TE 0
#define ENABLE_ARMV6 0
#define ENABLE_ARMVFP 0
#define ENABLE_IWMMXT 0
#define ENABLE_MLIB 0
#define ENABLE_MMI 0
#define ENABLE_SH4 0
#define ENABLE_VIS 0
#define ENABLE_MVI 0


/* DVD/VCD/CD */
#define DEFAULT_CDROM_DEVICE "/dev/cdrom"
#define DEFAULT_DVD_DEVICE   "/dev/dvd"

#undef CONFIG_CDDB
#undef DVD_STRUCT_IN_SYS_CDIO_H
#undef CONFIG_CDDA
#define DVD_STRUCT_IN_LINUX_CDROM_H 1
#undef DVD_STRUCT_IN_DVD_H


#define HAVE_LINUX_DVD_STRUCT 1

#undef DVD_STRUCT_IN_SYS_DVDIO_H
#undef CONFIG_DVDNAV
#define CONFIG_DVDREAD 1
#define CONFIG_DVDREAD_INTERNAL 1

#undef CONFIG_LIBCDIO

#define CONFIG_VCD 1


/* codec libraries */
#define CONFIG_FAAC 1
#define CONFIG_FAAD 1
#define CONFIG_FAAD_INTERNAL 1
#define CONFIG_LIBA52 1
#define CONFIG_LIBA52_INTERNAL 1
#undef CONFIG_LIBDCA
#undef CONFIG_LIBDV095
#define CONFIG_LIBLZO 1
#define CONFIG_LIBMPEG2 1
#undef CONFIG_LIBMAD
#undef CONFIG_MP3LAME
#undef CONFIG_MP3LAME_PRESET
#undef CONFIG_MP3LAME_PRESET_MEDIUM
#define CONFIG_MP3LIB 1
#undef CONFIG_MUSEPACK
#define CONFIG_SPEEX 1
#undef CONFIG_OGGTHEORA
#undef CONFIG_TOOLAME
#define CONFIG_TREMOR 1
#define CONFIG_TWOLAME 1
#define CONFIG_OGGVORBIS 1
#undef CONFIG_X264
#undef CONFIG_XVID4
#define CONFIG_ZLIB 1

#undef CONFIG_LIBNUT


/* binary codecs */
#define CONFIG_QTX_CODECS 1
#undef CONFIG_QTX_CODECS_WIN32
#define CONFIG_REALCODECS 1
#define REALCODEC_PATH "/usr/local/lib/win32"
#define WIN32_LOADER 1
#define CONFIG_WIN32DLL 1
#define WIN32_PATH "/usr/local/lib/win32"
#define CONFIG_XANIM 1
#define XACODEC_PATH "/usr/local/lib/win32"
#undef CONFIG_XMMS
#define XMMS_INPUT_PLUGIN_DIR ""


/* GUI */
#undef CONFIG_GTK2
#undef CONFIG_GUI



/* Audio output drivers */
#define CONFIG_ALSA 1
#define CONFIG_ALSA1X 1
#undef CONFIG_ALSA5
#undef CONFIG_ALSA9
#define CONFIG_ARTS 1

#define CONFIG_ESD 1
#define CONFIG_ESD_LATENCY
#define CONFIG_JACK 1
#define CONFIG_NAS 1


#define CONFIG_OSS_AUDIO 1
#define PATH_DEV_DSP "/dev/dsp"
#define PATH_DEV_MIXER "/dev/mixer"
#undef CONFIG_PULSE

#undef CONFIG_SUN_AUDIO


#undef CONFIG_LADSPA


/* input */
#define CONFIG_APPLE_IR 1



#undef CONFIG_JOYSTICK
#undef CONFIG_LIRC
#undef CONFIG_LIRCC
#define CONFIG_PVR 1
#undef CONFIG_RADIO
#undef CONFIG_RADIO_BSDBT848
#undef CONFIG_RADIO_CAPTURE
#undef CONFIG_RADIO_V4L
#undef CONFIG_RADIO_V4L2
#define CONFIG_TV 1

#undef CONFIG_TV_DSHOW
#define CONFIG_TV_TELETEXT 1
#define CONFIG_TV_V4L 1
#define CONFIG_TV_V4L1 1
#define CONFIG_TV_V4L2 1


/* font stuff */
#define CONFIG_ASS
#define CONFIG_BITMAP_FONT 1
#undef CONFIG_ENCA
#define CONFIG_FONTCONFIG
#define CONFIG_FREETYPE
#undef CONFIG_FRIBIDI


/* networking */
#undef HAVE_CLOSESOCKET
#define CONFIG_FTP 1
#define HAVE_AF_INET6 1
#undef CONFIG_LIVE555
#undef CONFIG_LIBNEMESI
#define CONFIG_NETWORK 1
#undef CONFIG_LIBSMBCLIENT
#define HAVE_SOCKLEN_T 1
#undef HAVE_ATON
#undef CONFIG_VSTREAM


/* libvo options */
#undef CONFIG_3DFX
#undef CONFIG_AA
#undef CONFIG_BL
#undef CONFIG_CACA

#undef CONFIG_DFBMGA
#define CONFIG_DGA 1
#undef CONFIG_DGA1
#define CONFIG_DGA2 1

#undef CONFIG_DIRECTFB


#define CONFIG_DVB 1
#define CONFIG_DVB_HEAD 1
#define CONFIG_DVBIN 1
#undef CONFIG_DXR2
#undef CONFIG_DXR3
#define CONFIG_FBDEV 1
#undef CONFIG_GGI
#undef CONFIG_GGIWMH
#undef CONFIG_GIF
#undef CONFIG_GIF_4

#define CONFIG_GL 1

#undef CONFIG_IVTV
#define CONFIG_JPEG 1
#define CONFIG_MD5SUM
#undef CONFIG_MGA
#define CONFIG_PNG 1
#define CONFIG_PNM

#undef CONFIG_S3FB
#define CONFIG_SDL 1
#undef BUGGY_SDL
#undef CONFIG_SVGALIB
#undef CONFIG_TDFXFB
#undef CONFIG_XVR100
#define CONFIG_TGA 1
#define CONFIG_V4L2_DECODER 1
#undef CONFIG_VESA
#define CONFIG_VIDIX 1
#define CONFIG_VIDIX_DRV_CYBERBLADE 1
#undef CONFIG_VIDIX_DRV_IVTV
#define CONFIG_VIDIX_DRV_MACH64 1
#define CONFIG_VIDIX_DRV_MGA 1
#define CONFIG_VIDIX_DRV_MGA_CRTC2 1
#define CONFIG_VIDIX_DRV_NVIDIA 1
#define CONFIG_VIDIX_DRV_PM3 1
#define CONFIG_VIDIX_DRV_RADEON 1
#define CONFIG_VIDIX_DRV_RAGE128 1
#define CONFIG_VIDIX_DRV_S3 1
#undef CONFIG_VIDIX_DRV_SH_VEU
#define CONFIG_VIDIX_DRV_SIS 1
#define CONFIG_VIDIX_DRV_UNICHROME 1

#define CONFIG_XF86VM 1
#undef CONFIG_WII
#define CONFIG_X11 1
#define CONFIG_XDPMS 1
#define CONFIG_XF86XK 1
#define CONFIG_XINERAMA 1
#undef CONFIG_XMGA
#define CONFIG_XSS 1
#define CONFIG_XV 1
#undef HAVE_XVMC

#define CONFIG_YUV4MPEG
#undef CONFIG_ZR


/* FFmpeg */
#define CONFIG_LIBAVCODEC 1
#define CONFIG_LIBAVCODEC_A 1
#define CONFIG_MPEGAUDIO_HP 1
#undef CONFIG_LIBAVCODEC_SO
#define CONFIG_LIBAVFORMAT 1
#define CONFIG_LIBAVFORMAT_A 1
#undef CONFIG_LIBAVFORMAT_SO
#define CONFIG_LIBAVUTIL 1
#define CONFIG_LIBAVUTIL_A 1
#undef CONFIG_LIBAVUTIL_SO
#define CONFIG_LIBPOSTPROC 1
#define CONFIG_LIBPOSTPROC_A 1
#undef CONFIG_LIBPOSTPROC_SO
#define CONFIG_LIBSWSCALE 1
#define CONFIG_LIBSWSCALE_A 1
#undef CONFIG_LIBSWSCALE_SO


#define EXTERN_PREFIX ""
#define HAVE_FAST_UNALIGNED 1
#define HAVE_MKSTEMP 1
#define HAVE_PTHREADS 1
#define HAVE_THREADS 1
#ifdef HAVE_THREADS
#define ENABLE_THREADS 1
#else
#define ENABLE_THREADS 0
#endif
#undef HAVE_YASM

#define CONFIG_GPL 1
#define ENABLE_SMALL 0
#define ENABLE_GRAY 0

/* Some FFmpeg codecs depend on these. Enable them unconditionally for now. */
#define CONFIG_AANDCT 1
#define ENABLE_AANDCT 1
#define CONFIG_FFT 1
#define ENABLE_FFT 1
#define CONFIG_GOLOMB 1
#define ENABLE_GOLOMB 1
#define CONFIG_MDCT 1
#define ENABLE_MDCT 1

/* Use these registers in FFmpeg x86 inline asm. No proper detection yet. */
#define HAVE_EBX_AVAILABLE 1
#ifndef MP_DEBUG
#define HAVE_EBP_AVAILABLE 1
#endif

#define CONFIG_DECODERS 1
#define ENABLE_DECODERS 1
#define CONFIG_ENCODERS 1
#define ENABLE_ENCODERS 1

#define CONFIG_DEMUXERS 1
#define ENABLE_DEMUXERS 1

#define CONFIG_MUXERS 1

/* External libraries used through libavcodec. */
#define CONFIG_LIBFAAC 1

#undef CONFIG_LIBAMR_NB
#undef CONFIG_LIBAMR_WB
#undef CONFIG_LIBDIRAC
#undef CONFIG_LIBSCHROEDINGER
#undef CONFIG_LIBMP3LAME
#undef CONFIG_LIBX264
#undef CONFIG_LIBXVID

#define CONFIG_AASC_DECODER 1
#define ENABLE_AASC_DECODER 1
#define CONFIG_AMV_DECODER 1
#define ENABLE_AMV_DECODER 1
#define CONFIG_ASV1_DECODER 1
#define ENABLE_ASV1_DECODER 1
#define CONFIG_ASV2_DECODER 1
#define ENABLE_ASV2_DECODER 1
#define CONFIG_AVS_DECODER 1
#define ENABLE_AVS_DECODER 1
#define CONFIG_BETHSOFTVID_DECODER 1
#define ENABLE_BETHSOFTVID_DECODER 1
#define CONFIG_BFI_DECODER 1
#define ENABLE_BFI_DECODER 1
#define CONFIG_BMP_DECODER 1
#define ENABLE_BMP_DECODER 1
#define CONFIG_C93_DECODER 1
#define ENABLE_C93_DECODER 1
#define CONFIG_CAVS_DECODER 1
#define ENABLE_CAVS_DECODER 1
#define CONFIG_CINEPAK_DECODER 1
#define ENABLE_CINEPAK_DECODER 1
#define CONFIG_CLJR_DECODER 1
#define ENABLE_CLJR_DECODER 1
#define CONFIG_CSCD_DECODER 1
#define ENABLE_CSCD_DECODER 1
#define CONFIG_CYUV_DECODER 1
#define ENABLE_CYUV_DECODER 1
#define CONFIG_DNXHD_DECODER 1
#define ENABLE_DNXHD_DECODER 1
#define CONFIG_DSICINVIDEO_DECODER 1
#define ENABLE_DSICINVIDEO_DECODER 1
#define CONFIG_DVVIDEO_DECODER 1
#define ENABLE_DVVIDEO_DECODER 1
#define CONFIG_DXA_DECODER 1
#define ENABLE_DXA_DECODER 1
#define CONFIG_EACMV_DECODER 1
#define ENABLE_EACMV_DECODER 1
#define CONFIG_EATGQ_DECODER 1
#define ENABLE_EATGQ_DECODER 1
#define CONFIG_EATGV_DECODER 1
#define ENABLE_EATGV_DECODER 1
#define CONFIG_EIGHTBPS_DECODER 1
#define ENABLE_EIGHTBPS_DECODER 1
#define CONFIG_EIGHTSVX_EXP_DECODER 1
#define ENABLE_EIGHTSVX_EXP_DECODER 1
#define CONFIG_EIGHTSVX_FIB_DECODER 1
#define ENABLE_EIGHTSVX_FIB_DECODER 1
#define CONFIG_ESCAPE124_DECODER 1
#define ENABLE_ESCAPE124_DECODER 1
#define CONFIG_FFV1_DECODER 1
#define ENABLE_FFV1_DECODER 1
#define CONFIG_FFVHUFF_DECODER 1
#define ENABLE_FFVHUFF_DECODER 1
#define CONFIG_FLASHSV_DECODER 1
#define ENABLE_FLASHSV_DECODER 1
#define CONFIG_FLIC_DECODER 1
#define ENABLE_FLIC_DECODER 1
#define CONFIG_FLV_DECODER 1
#define ENABLE_FLV_DECODER 1
#define CONFIG_FOURXM_DECODER 1
#define ENABLE_FOURXM_DECODER 1
#define CONFIG_FRAPS_DECODER 1
#define ENABLE_FRAPS_DECODER 1
#define CONFIG_GIF_DECODER 1
#define ENABLE_GIF_DECODER 1
#define CONFIG_H261_DECODER 1
#define ENABLE_H261_DECODER 1
#define CONFIG_H263_DECODER 1
#define ENABLE_H263_DECODER 1
#define CONFIG_H263I_DECODER 1
#define ENABLE_H263I_DECODER 1
#define CONFIG_H264_DECODER 1
#define ENABLE_H264_DECODER 1
#define CONFIG_HUFFYUV_DECODER 1
#define ENABLE_HUFFYUV_DECODER 1
#define CONFIG_IDCIN_DECODER 1
#define ENABLE_IDCIN_DECODER 1
#define CONFIG_INDEO2_DECODER 1
#define ENABLE_INDEO2_DECODER 1
#define CONFIG_INDEO3_DECODER 1
#define ENABLE_INDEO3_DECODER 1
#define CONFIG_INTERPLAY_VIDEO_DECODER 1
#define ENABLE_INTERPLAY_VIDEO_DECODER 1
#define CONFIG_JPEGLS_DECODER 1
#define ENABLE_JPEGLS_DECODER 1
#define CONFIG_KMVC_DECODER 1
#define ENABLE_KMVC_DECODER 1
#define CONFIG_LOCO_DECODER 1
#define ENABLE_LOCO_DECODER 1
#define CONFIG_MDEC_DECODER 1
#define ENABLE_MDEC_DECODER 1
#define CONFIG_MIMIC_DECODER 1
#define ENABLE_MIMIC_DECODER 1
#define CONFIG_MJPEG_DECODER 1
#define ENABLE_MJPEG_DECODER 1
#define CONFIG_MJPEGB_DECODER 1
#define ENABLE_MJPEGB_DECODER 1
#define CONFIG_MMVIDEO_DECODER 1
#define ENABLE_MMVIDEO_DECODER 1
#define CONFIG_MOTIONPIXELS_DECODER 1
#define ENABLE_MOTIONPIXELS_DECODER 1
#define ENABLE_MPEG_XVMC_DECODER 0
#define CONFIG_MPEG1VIDEO_DECODER 1
#define ENABLE_MPEG1VIDEO_DECODER 1
#define CONFIG_MPEG2VIDEO_DECODER 1
#define ENABLE_MPEG2VIDEO_DECODER 1
#define CONFIG_MPEG4_DECODER 1
#define ENABLE_MPEG4_DECODER 1
#define CONFIG_MPEGVIDEO_DECODER 1
#define ENABLE_MPEGVIDEO_DECODER 1
#define CONFIG_MSMPEG4V1_DECODER 1
#define ENABLE_MSMPEG4V1_DECODER 1
#define CONFIG_MSMPEG4V2_DECODER 1
#define ENABLE_MSMPEG4V2_DECODER 1
#define CONFIG_MSMPEG4V3_DECODER 1
#define ENABLE_MSMPEG4V3_DECODER 1
#define CONFIG_MSRLE_DECODER 1
#define ENABLE_MSRLE_DECODER 1
#define CONFIG_MSVIDEO1_DECODER 1
#define ENABLE_MSVIDEO1_DECODER 1
#define CONFIG_MSZH_DECODER 1
#define ENABLE_MSZH_DECODER 1
#define CONFIG_NUV_DECODER 1
#define ENABLE_NUV_DECODER 1
#define CONFIG_PCX_DECODER 1
#define ENABLE_PCX_DECODER 1
#define CONFIG_PNG_DECODER 1
#define ENABLE_PNG_DECODER 1
#define CONFIG_PTX_DECODER 1
#define ENABLE_PTX_DECODER 1
#define CONFIG_QDRAW_DECODER 1
#define ENABLE_QDRAW_DECODER 1
#define CONFIG_QPEG_DECODER 1
#define ENABLE_QPEG_DECODER 1
#define CONFIG_QTRLE_DECODER 1
#define ENABLE_QTRLE_DECODER 1
#define CONFIG_RAWVIDEO_DECODER 1
#define ENABLE_RAWVIDEO_DECODER 1
#define CONFIG_RL2_DECODER 1
#define ENABLE_RL2_DECODER 1
#define CONFIG_ROQ_DECODER 1
#define ENABLE_ROQ_DECODER 1
#define CONFIG_RPZA_DECODER 1
#define ENABLE_RPZA_DECODER 1
#define CONFIG_RV10_DECODER 1
#define ENABLE_RV10_DECODER 1
#define CONFIG_RV20_DECODER 1
#define ENABLE_RV20_DECODER 1
#define CONFIG_SGI_DECODER 1
#define ENABLE_SGI_DECODER 1
#define CONFIG_SMACKER_DECODER 1
#define ENABLE_SMACKER_DECODER 1
#define CONFIG_SMC_DECODER 1
#define ENABLE_SMC_DECODER 1
#define CONFIG_SNOW_DECODER 1
#define ENABLE_SNOW_DECODER 1
#define CONFIG_SP5X_DECODER 1
#define ENABLE_SP5X_DECODER 1
#define CONFIG_SUNRAST_DECODER 1
#define ENABLE_SUNRAST_DECODER 1
#define CONFIG_SVQ1_DECODER 1
#define ENABLE_SVQ1_DECODER 1
#define CONFIG_SVQ3_DECODER 1
#define ENABLE_SVQ3_DECODER 1
#define CONFIG_TARGA_DECODER 1
#define ENABLE_TARGA_DECODER 1
#define CONFIG_THEORA_DECODER 1
#define ENABLE_THEORA_DECODER 1
#define CONFIG_THP_DECODER 1
#define ENABLE_THP_DECODER 1
#define CONFIG_TIERTEXSEQVIDEO_DECODER 1
#define ENABLE_TIERTEXSEQVIDEO_DECODER 1
#define CONFIG_TIFF_DECODER 1
#define ENABLE_TIFF_DECODER 1
#define CONFIG_TRUEMOTION1_DECODER 1
#define ENABLE_TRUEMOTION1_DECODER 1
#define CONFIG_TRUEMOTION2_DECODER 1
#define ENABLE_TRUEMOTION2_DECODER 1
#define CONFIG_TSCC_DECODER 1
#define ENABLE_TSCC_DECODER 1
#define CONFIG_TXD_DECODER 1
#define ENABLE_TXD_DECODER 1
#define CONFIG_ULTI_DECODER 1
#define ENABLE_ULTI_DECODER 1
#define CONFIG_VB_DECODER 1
#define ENABLE_VB_DECODER 1
#define CONFIG_VC1_DECODER 1
#define ENABLE_VC1_DECODER 1
#define CONFIG_VCR1_DECODER 1
#define ENABLE_VCR1_DECODER 1
#define CONFIG_VMDVIDEO_DECODER 1
#define ENABLE_VMDVIDEO_DECODER 1
#define CONFIG_VMNC_DECODER 1
#define ENABLE_VMNC_DECODER 1
#define CONFIG_VP3_DECODER 1
#define ENABLE_VP3_DECODER 1
#define CONFIG_VP5_DECODER 1
#define ENABLE_VP5_DECODER 1
#define CONFIG_VP6_DECODER 1
#define ENABLE_VP6_DECODER 1
#define CONFIG_VP6A_DECODER 1
#define ENABLE_VP6A_DECODER 1
#define CONFIG_VP6F_DECODER 1
#define ENABLE_VP6F_DECODER 1
#define CONFIG_VQA_DECODER 1
#define ENABLE_VQA_DECODER 1
#define CONFIG_WMV1_DECODER 1
#define ENABLE_WMV1_DECODER 1
#define CONFIG_WMV2_DECODER 1
#define ENABLE_WMV2_DECODER 1
#define CONFIG_WMV3_DECODER 1
#define ENABLE_WMV3_DECODER 1
#define CONFIG_WNV1_DECODER 1
#define ENABLE_WNV1_DECODER 1
#define CONFIG_XAN_WC3_DECODER 1
#define ENABLE_XAN_WC3_DECODER 1
#define CONFIG_XL_DECODER 1
#define ENABLE_XL_DECODER 1
#define CONFIG_XSUB_DECODER 1
#define ENABLE_XSUB_DECODER 1
#define CONFIG_ZLIB_DECODER 1
#define ENABLE_ZLIB_DECODER 1
#define CONFIG_ZMBV_DECODER 1
#define ENABLE_ZMBV_DECODER 1
#define CONFIG_AAC_DECODER 1
#define ENABLE_AAC_DECODER 1
#define CONFIG_AC3_DECODER 1
#define ENABLE_AC3_DECODER 1
#define CONFIG_ALAC_DECODER 1
#define ENABLE_ALAC_DECODER 1
#define CONFIG_APE_DECODER 1
#define ENABLE_APE_DECODER 1
#define CONFIG_ATRAC3_DECODER 1
#define ENABLE_ATRAC3_DECODER 1
#define CONFIG_COOK_DECODER 1
#define ENABLE_COOK_DECODER 1
#define CONFIG_DCA_DECODER 1
#define ENABLE_DCA_DECODER 1
#define CONFIG_DSICINAUDIO_DECODER 1
#define ENABLE_DSICINAUDIO_DECODER 1
#define CONFIG_EAC3_DECODER 1
#define ENABLE_EAC3_DECODER 1
#define CONFIG_FLAC_DECODER 1
#define ENABLE_FLAC_DECODER 1
#define CONFIG_IMC_DECODER 1
#define ENABLE_IMC_DECODER 1
#define CONFIG_MACE3_DECODER 1
#define ENABLE_MACE3_DECODER 1
#define CONFIG_MACE6_DECODER 1
#define ENABLE_MACE6_DECODER 1
#define CONFIG_MLP_DECODER 1
#define ENABLE_MLP_DECODER 1
#define CONFIG_MP2_DECODER 1
#define ENABLE_MP2_DECODER 1
#define CONFIG_MP3_DECODER 1
#define ENABLE_MP3_DECODER 1
#define CONFIG_MP3ADU_DECODER 1
#define ENABLE_MP3ADU_DECODER 1
#define CONFIG_MP3ON4_DECODER 1
#define ENABLE_MP3ON4_DECODER 1
#define CONFIG_MPC7_DECODER 1
#define ENABLE_MPC7_DECODER 1
#define CONFIG_MPC8_DECODER 1
#define ENABLE_MPC8_DECODER 1
#define CONFIG_NELLYMOSER_DECODER 1
#define ENABLE_NELLYMOSER_DECODER 1
#define CONFIG_QDM2_DECODER 1
#define ENABLE_QDM2_DECODER 1
#define CONFIG_RA_144_DECODER 1
#define ENABLE_RA_144_DECODER 1
#define CONFIG_RA_288_DECODER 1
#define ENABLE_RA_288_DECODER 1
#define CONFIG_SHORTEN_DECODER 1
#define ENABLE_SHORTEN_DECODER 1
#define CONFIG_SMACKAUD_DECODER 1
#define ENABLE_SMACKAUD_DECODER 1
#define CONFIG_SONIC_DECODER 1
#define ENABLE_SONIC_DECODER 1
#define CONFIG_TRUESPEECH_DECODER 1
#define ENABLE_TRUESPEECH_DECODER 1
#define CONFIG_TTA_DECODER 1
#define ENABLE_TTA_DECODER 1
#define CONFIG_VMDAUDIO_DECODER 1
#define ENABLE_VMDAUDIO_DECODER 1
#define CONFIG_VORBIS_DECODER 1
#define ENABLE_VORBIS_DECODER 1
#define CONFIG_WAVPACK_DECODER 1
#define ENABLE_WAVPACK_DECODER 1
#define CONFIG_WMAV1_DECODER 1
#define ENABLE_WMAV1_DECODER 1
#define CONFIG_WMAV2_DECODER 1
#define ENABLE_WMAV2_DECODER 1
#define CONFIG_WS_SND1_DECODER 1
#define ENABLE_WS_SND1_DECODER 1
#define CONFIG_PCM_ALAW_DECODER 1
#define ENABLE_PCM_ALAW_DECODER 1
#define CONFIG_PCM_DVD_DECODER 1
#define ENABLE_PCM_DVD_DECODER 1
#define CONFIG_PCM_F32BE_DECODER 1
#define ENABLE_PCM_F32BE_DECODER 1
#define CONFIG_PCM_F32LE_DECODER 1
#define ENABLE_PCM_F32LE_DECODER 1
#define CONFIG_PCM_F64BE_DECODER 1
#define ENABLE_PCM_F64BE_DECODER 1
#define CONFIG_PCM_F64LE_DECODER 1
#define ENABLE_PCM_F64LE_DECODER 1
#define CONFIG_PCM_MULAW_DECODER 1
#define ENABLE_PCM_MULAW_DECODER 1
#define CONFIG_PCM_S8_DECODER 1
#define ENABLE_PCM_S8_DECODER 1
#define CONFIG_PCM_S16BE_DECODER 1
#define ENABLE_PCM_S16BE_DECODER 1
#define CONFIG_PCM_S16LE_DECODER 1
#define ENABLE_PCM_S16LE_DECODER 1
#define CONFIG_PCM_S16LE_PLANAR_DECODER 1
#define ENABLE_PCM_S16LE_PLANAR_DECODER 1
#define CONFIG_PCM_S24BE_DECODER 1
#define ENABLE_PCM_S24BE_DECODER 1
#define CONFIG_PCM_S24DAUD_DECODER 1
#define ENABLE_PCM_S24DAUD_DECODER 1
#define CONFIG_PCM_S24LE_DECODER 1
#define ENABLE_PCM_S24LE_DECODER 1
#define CONFIG_PCM_S32BE_DECODER 1
#define ENABLE_PCM_S32BE_DECODER 1
#define CONFIG_PCM_S32LE_DECODER 1
#define ENABLE_PCM_S32LE_DECODER 1
#define CONFIG_PCM_U8_DECODER 1
#define ENABLE_PCM_U8_DECODER 1
#define CONFIG_PCM_U16BE_DECODER 1
#define ENABLE_PCM_U16BE_DECODER 1
#define CONFIG_PCM_U16LE_DECODER 1
#define ENABLE_PCM_U16LE_DECODER 1
#define CONFIG_PCM_U24BE_DECODER 1
#define ENABLE_PCM_U24BE_DECODER 1
#define CONFIG_PCM_U24LE_DECODER 1
#define ENABLE_PCM_U24LE_DECODER 1
#define CONFIG_PCM_U32BE_DECODER 1
#define ENABLE_PCM_U32BE_DECODER 1
#define CONFIG_PCM_U32LE_DECODER 1
#define ENABLE_PCM_U32LE_DECODER 1
#define CONFIG_PCM_ZORK_DECODER 1
#define ENABLE_PCM_ZORK_DECODER 1
#define CONFIG_INTERPLAY_DPCM_DECODER 1
#define ENABLE_INTERPLAY_DPCM_DECODER 1
#define CONFIG_ROQ_DPCM_DECODER 1
#define ENABLE_ROQ_DPCM_DECODER 1
#define CONFIG_SOL_DPCM_DECODER 1
#define ENABLE_SOL_DPCM_DECODER 1
#define CONFIG_XAN_DPCM_DECODER 1
#define ENABLE_XAN_DPCM_DECODER 1
#define CONFIG_ADPCM_4XM_DECODER 1
#define ENABLE_ADPCM_4XM_DECODER 1
#define CONFIG_ADPCM_ADX_DECODER 1
#define ENABLE_ADPCM_ADX_DECODER 1
#define CONFIG_ADPCM_CT_DECODER 1
#define ENABLE_ADPCM_CT_DECODER 1
#define CONFIG_ADPCM_EA_DECODER 1
#define ENABLE_ADPCM_EA_DECODER 1
#define CONFIG_ADPCM_EA_MAXIS_XA_DECODER 1
#define ENABLE_ADPCM_EA_MAXIS_XA_DECODER 1
#define CONFIG_ADPCM_EA_R1_DECODER 1
#define ENABLE_ADPCM_EA_R1_DECODER 1
#define CONFIG_ADPCM_EA_R2_DECODER 1
#define ENABLE_ADPCM_EA_R2_DECODER 1
#define CONFIG_ADPCM_EA_R3_DECODER 1
#define ENABLE_ADPCM_EA_R3_DECODER 1
#define CONFIG_ADPCM_EA_XAS_DECODER 1
#define ENABLE_ADPCM_EA_XAS_DECODER 1
#define CONFIG_ADPCM_G726_DECODER 1
#define ENABLE_ADPCM_G726_DECODER 1
#define CONFIG_ADPCM_IMA_AMV_DECODER 1
#define ENABLE_ADPCM_IMA_AMV_DECODER 1
#define CONFIG_ADPCM_IMA_DK3_DECODER 1
#define ENABLE_ADPCM_IMA_DK3_DECODER 1
#define CONFIG_ADPCM_IMA_DK4_DECODER 1
#define ENABLE_ADPCM_IMA_DK4_DECODER 1
#define CONFIG_ADPCM_IMA_EA_EACS_DECODER 1
#define ENABLE_ADPCM_IMA_EA_EACS_DECODER 1
#define CONFIG_ADPCM_IMA_EA_SEAD_DECODER 1
#define ENABLE_ADPCM_IMA_EA_SEAD_DECODER 1
#define CONFIG_ADPCM_IMA_QT_DECODER 1
#define ENABLE_ADPCM_IMA_QT_DECODER 1
#define CONFIG_ADPCM_IMA_SMJPEG_DECODER 1
#define ENABLE_ADPCM_IMA_SMJPEG_DECODER 1
#define CONFIG_ADPCM_IMA_WAV_DECODER 1
#define ENABLE_ADPCM_IMA_WAV_DECODER 1
#define CONFIG_ADPCM_IMA_WS_DECODER 1
#define ENABLE_ADPCM_IMA_WS_DECODER 1
#define CONFIG_ADPCM_MS_DECODER 1
#define ENABLE_ADPCM_MS_DECODER 1
#define CONFIG_ADPCM_SBPRO_2_DECODER 1
#define ENABLE_ADPCM_SBPRO_2_DECODER 1
#define CONFIG_ADPCM_SBPRO_3_DECODER 1
#define ENABLE_ADPCM_SBPRO_3_DECODER 1
#define CONFIG_ADPCM_SBPRO_4_DECODER 1
#define ENABLE_ADPCM_SBPRO_4_DECODER 1
#define CONFIG_ADPCM_SWF_DECODER 1
#define ENABLE_ADPCM_SWF_DECODER 1
#define CONFIG_ADPCM_THP_DECODER 1
#define ENABLE_ADPCM_THP_DECODER 1
#define CONFIG_ADPCM_XA_DECODER 1
#define ENABLE_ADPCM_XA_DECODER 1
#define CONFIG_ADPCM_YAMAHA_DECODER 1
#define ENABLE_ADPCM_YAMAHA_DECODER 1
#define CONFIG_DVBSUB_DECODER 1
#define ENABLE_DVBSUB_DECODER 1
#define CONFIG_DVDSUB_DECODER 1
#define ENABLE_DVDSUB_DECODER 1
#define ENABLE_LIBAMR_NB_DECODER 0
#define ENABLE_LIBAMR_WB_DECODER 0
#define ENABLE_LIBDIRAC_DECODER 0
#define ENABLE_LIBFAAD_DECODER 0
#define ENABLE_LIBGSM_DECODER 0
#define ENABLE_LIBGSM_MS_DECODER 0
#define ENABLE_LIBSCHROEDINGER_DECODER 0
#define ENABLE_LIBSPEEX_DECODER 0
#define CONFIG_ASV1_ENCODER 1
#define ENABLE_ASV1_ENCODER 1
#define CONFIG_ASV2_ENCODER 1
#define ENABLE_ASV2_ENCODER 1
#define CONFIG_BMP_ENCODER 1
#define ENABLE_BMP_ENCODER 1
#define CONFIG_DNXHD_ENCODER 1
#define ENABLE_DNXHD_ENCODER 1
#define CONFIG_DVVIDEO_ENCODER 1
#define ENABLE_DVVIDEO_ENCODER 1
#define CONFIG_FFV1_ENCODER 1
#define ENABLE_FFV1_ENCODER 1
#define CONFIG_FFVHUFF_ENCODER 1
#define ENABLE_FFVHUFF_ENCODER 1
#define CONFIG_FLASHSV_ENCODER 1
#define ENABLE_FLASHSV_ENCODER 1
#define CONFIG_FLV_ENCODER 1
#define ENABLE_FLV_ENCODER 1
#define CONFIG_GIF_ENCODER 1
#define ENABLE_GIF_ENCODER 1
#define CONFIG_H261_ENCODER 1
#define ENABLE_H261_ENCODER 1
#define CONFIG_H263_ENCODER 1
#define ENABLE_H263_ENCODER 1
#define CONFIG_H263P_ENCODER 1
#define ENABLE_H263P_ENCODER 1
#define CONFIG_HUFFYUV_ENCODER 1
#define ENABLE_HUFFYUV_ENCODER 1
#define CONFIG_JPEGLS_ENCODER 1
#define ENABLE_JPEGLS_ENCODER 1
#define CONFIG_LJPEG_ENCODER 1
#define ENABLE_LJPEG_ENCODER 1
#define CONFIG_MJPEG_ENCODER 1
#define ENABLE_MJPEG_ENCODER 1
#define CONFIG_MPEG1VIDEO_ENCODER 1
#define ENABLE_MPEG1VIDEO_ENCODER 1
#define CONFIG_MPEG2VIDEO_ENCODER 1
#define ENABLE_MPEG2VIDEO_ENCODER 1
#define CONFIG_MPEG4_ENCODER 1
#define ENABLE_MPEG4_ENCODER 1
#define CONFIG_MSMPEG4V1_ENCODER 1
#define ENABLE_MSMPEG4V1_ENCODER 1
#define CONFIG_MSMPEG4V2_ENCODER 1
#define ENABLE_MSMPEG4V2_ENCODER 1
#define CONFIG_MSMPEG4V3_ENCODER 1
#define ENABLE_MSMPEG4V3_ENCODER 1
#define CONFIG_PAM_ENCODER 1
#define ENABLE_PAM_ENCODER 1
#define CONFIG_PBM_ENCODER 1
#define ENABLE_PBM_ENCODER 1
#define CONFIG_PGM_ENCODER 1
#define ENABLE_PGM_ENCODER 1
#define CONFIG_PGMYUV_ENCODER 1
#define ENABLE_PGMYUV_ENCODER 1
#define CONFIG_PNG_ENCODER 1
#define ENABLE_PNG_ENCODER 1
#define CONFIG_PPM_ENCODER 1
#define ENABLE_PPM_ENCODER 1
#define CONFIG_QTRLE_ENCODER 1
#define ENABLE_QTRLE_ENCODER 1
#define CONFIG_RAWVIDEO_ENCODER 1
#define ENABLE_RAWVIDEO_ENCODER 1
#define CONFIG_ROQ_ENCODER 1
#define ENABLE_ROQ_ENCODER 1
#define CONFIG_RV10_ENCODER 1
#define ENABLE_RV10_ENCODER 1
#define CONFIG_RV20_ENCODER 1
#define ENABLE_RV20_ENCODER 1
#define CONFIG_SGI_ENCODER 1
#define ENABLE_SGI_ENCODER 1
#define CONFIG_SNOW_ENCODER 1
#define ENABLE_SNOW_ENCODER 1
#define CONFIG_SVQ1_ENCODER 1
#define ENABLE_SVQ1_ENCODER 1
#define CONFIG_TARGA_ENCODER 1
#define ENABLE_TARGA_ENCODER 1
#define CONFIG_TIFF_ENCODER 1
#define ENABLE_TIFF_ENCODER 1
#define CONFIG_WMV1_ENCODER 1
#define ENABLE_WMV1_ENCODER 1
#define CONFIG_WMV2_ENCODER 1
#define ENABLE_WMV2_ENCODER 1
#define CONFIG_ZLIB_ENCODER 1
#define ENABLE_ZLIB_ENCODER 1
#define CONFIG_ZMBV_ENCODER 1
#define ENABLE_ZMBV_ENCODER 1
#define CONFIG_AC3_ENCODER 1
#define ENABLE_AC3_ENCODER 1
#define CONFIG_ALAC_ENCODER 1
#define ENABLE_ALAC_ENCODER 1
#define CONFIG_FLAC_ENCODER 1
#define ENABLE_FLAC_ENCODER 1
#define CONFIG_MP2_ENCODER 1
#define ENABLE_MP2_ENCODER 1
#define CONFIG_NELLYMOSER_ENCODER 1
#define ENABLE_NELLYMOSER_ENCODER 1
#define CONFIG_SONIC_ENCODER 1
#define ENABLE_SONIC_ENCODER 1
#define CONFIG_SONIC_LS_ENCODER 1
#define ENABLE_SONIC_LS_ENCODER 1
#define CONFIG_VORBIS_ENCODER 1
#define ENABLE_VORBIS_ENCODER 1
#define CONFIG_WMAV1_ENCODER 1
#define ENABLE_WMAV1_ENCODER 1
#define CONFIG_WMAV2_ENCODER 1
#define ENABLE_WMAV2_ENCODER 1
#define CONFIG_PCM_ALAW_ENCODER 1
#define ENABLE_PCM_ALAW_ENCODER 1
#define CONFIG_PCM_F32BE_ENCODER 1
#define ENABLE_PCM_F32BE_ENCODER 1
#define CONFIG_PCM_F32LE_ENCODER 1
#define ENABLE_PCM_F32LE_ENCODER 1
#define CONFIG_PCM_F64BE_ENCODER 1
#define ENABLE_PCM_F64BE_ENCODER 1
#define CONFIG_PCM_F64LE_ENCODER 1
#define ENABLE_PCM_F64LE_ENCODER 1
#define CONFIG_PCM_MULAW_ENCODER 1
#define ENABLE_PCM_MULAW_ENCODER 1
#define CONFIG_PCM_S8_ENCODER 1
#define ENABLE_PCM_S8_ENCODER 1
#define CONFIG_PCM_S16BE_ENCODER 1
#define ENABLE_PCM_S16BE_ENCODER 1
#define CONFIG_PCM_S16LE_ENCODER 1
#define ENABLE_PCM_S16LE_ENCODER 1
#define CONFIG_PCM_S24BE_ENCODER 1
#define ENABLE_PCM_S24BE_ENCODER 1
#define CONFIG_PCM_S24DAUD_ENCODER 1
#define ENABLE_PCM_S24DAUD_ENCODER 1
#define CONFIG_PCM_S24LE_ENCODER 1
#define ENABLE_PCM_S24LE_ENCODER 1
#define CONFIG_PCM_S32BE_ENCODER 1
#define ENABLE_PCM_S32BE_ENCODER 1
#define CONFIG_PCM_S32LE_ENCODER 1
#define ENABLE_PCM_S32LE_ENCODER 1
#define CONFIG_PCM_U8_ENCODER 1
#define ENABLE_PCM_U8_ENCODER 1
#define CONFIG_PCM_U16BE_ENCODER 1
#define ENABLE_PCM_U16BE_ENCODER 1
#define CONFIG_PCM_U16LE_ENCODER 1
#define ENABLE_PCM_U16LE_ENCODER 1
#define CONFIG_PCM_U24BE_ENCODER 1
#define ENABLE_PCM_U24BE_ENCODER 1
#define CONFIG_PCM_U24LE_ENCODER 1
#define ENABLE_PCM_U24LE_ENCODER 1
#define CONFIG_PCM_U32BE_ENCODER 1
#define ENABLE_PCM_U32BE_ENCODER 1
#define CONFIG_PCM_U32LE_ENCODER 1
#define ENABLE_PCM_U32LE_ENCODER 1
#define CONFIG_PCM_ZORK_ENCODER 1
#define ENABLE_PCM_ZORK_ENCODER 1
#define CONFIG_ROQ_DPCM_ENCODER 1
#define ENABLE_ROQ_DPCM_ENCODER 1
#define CONFIG_ADPCM_ADX_ENCODER 1
#define ENABLE_ADPCM_ADX_ENCODER 1
#define CONFIG_ADPCM_G726_ENCODER 1
#define ENABLE_ADPCM_G726_ENCODER 1
#define CONFIG_ADPCM_IMA_QT_ENCODER 1
#define ENABLE_ADPCM_IMA_QT_ENCODER 1
#define CONFIG_ADPCM_IMA_WAV_ENCODER 1
#define ENABLE_ADPCM_IMA_WAV_ENCODER 1
#define CONFIG_ADPCM_MS_ENCODER 1
#define ENABLE_ADPCM_MS_ENCODER 1
#define CONFIG_ADPCM_SWF_ENCODER 1
#define ENABLE_ADPCM_SWF_ENCODER 1
#define CONFIG_ADPCM_YAMAHA_ENCODER 1
#define ENABLE_ADPCM_YAMAHA_ENCODER 1
#define CONFIG_DVBSUB_ENCODER 1
#define ENABLE_DVBSUB_ENCODER 1
#define CONFIG_DVDSUB_ENCODER 1
#define ENABLE_DVDSUB_ENCODER 1
#define ENABLE_LIBAMR_NB_ENCODER 0
#define ENABLE_LIBAMR_WB_ENCODER 0
#define ENABLE_LIBDIRAC_ENCODER 0
#define CONFIG_LIBFAAC_ENCODER 1
#define ENABLE_LIBFAAC_ENCODER 1
#define ENABLE_LIBGSM_ENCODER 0
#define ENABLE_LIBGSM_MS_ENCODER 0
#define ENABLE_LIBMP3LAME_ENCODER 0
#define ENABLE_LIBSCHROEDINGER_ENCODER 0
#define ENABLE_LIBTHEORA_ENCODER 0
#define ENABLE_LIBVORBIS_ENCODER 0
#define ENABLE_LIBX264_ENCODER 0
#define ENABLE_LIBXVID_ENCODER 0
#define CONFIG_AAC_PARSER 1
#define ENABLE_AAC_PARSER 1
#define CONFIG_AC3_PARSER 1
#define ENABLE_AC3_PARSER 1
#define CONFIG_CAVSVIDEO_PARSER 1
#define ENABLE_CAVSVIDEO_PARSER 1
#define CONFIG_DCA_PARSER 1
#define ENABLE_DCA_PARSER 1
#define CONFIG_DIRAC_PARSER 1
#define ENABLE_DIRAC_PARSER 1
#define CONFIG_DNXHD_PARSER 1
#define ENABLE_DNXHD_PARSER 1
#define CONFIG_DVBSUB_PARSER 1
#define ENABLE_DVBSUB_PARSER 1
#define CONFIG_DVDSUB_PARSER 1
#define ENABLE_DVDSUB_PARSER 1
#define CONFIG_H261_PARSER 1
#define ENABLE_H261_PARSER 1
#define CONFIG_H263_PARSER 1
#define ENABLE_H263_PARSER 1
#define CONFIG_H264_PARSER 1
#define ENABLE_H264_PARSER 1
#define CONFIG_MJPEG_PARSER 1
#define ENABLE_MJPEG_PARSER 1
#define CONFIG_MLP_PARSER 1
#define ENABLE_MLP_PARSER 1
#define CONFIG_MPEG4VIDEO_PARSER 1
#define ENABLE_MPEG4VIDEO_PARSER 1
#define CONFIG_MPEGAUDIO_PARSER 1
#define ENABLE_MPEGAUDIO_PARSER 1
#define CONFIG_MPEGVIDEO_PARSER 1
#define ENABLE_MPEGVIDEO_PARSER 1
#define CONFIG_PNM_PARSER 1
#define ENABLE_PNM_PARSER 1
#define CONFIG_VC1_PARSER 1
#define ENABLE_VC1_PARSER 1
#define CONFIG_VP3_PARSER 1
#define ENABLE_VP3_PARSER 1
#define CONFIG_AAC_DEMUXER 1
#define ENABLE_AAC_DEMUXER 1
#define CONFIG_AC3_DEMUXER 1
#define ENABLE_AC3_DEMUXER 1
#define CONFIG_AIFF_DEMUXER 1
#define ENABLE_AIFF_DEMUXER 1
#define CONFIG_AMR_DEMUXER 1
#define ENABLE_AMR_DEMUXER 1
#define CONFIG_APC_DEMUXER 1
#define ENABLE_APC_DEMUXER 1
#define CONFIG_APE_DEMUXER 1
#define ENABLE_APE_DEMUXER 1
#define CONFIG_ASF_DEMUXER 1
#define ENABLE_ASF_DEMUXER 1
#define CONFIG_ASS_DEMUXER 1
#define ENABLE_ASS_DEMUXER 1
#define CONFIG_AU_DEMUXER 1
#define ENABLE_AU_DEMUXER 1
#define CONFIG_AVI_DEMUXER 1
#define ENABLE_AVI_DEMUXER 1
#define ENABLE_AVISYNTH_DEMUXER 0
#define CONFIG_AVS_DEMUXER 1
#define ENABLE_AVS_DEMUXER 1
#define CONFIG_BETHSOFTVID_DEMUXER 1
#define ENABLE_BETHSOFTVID_DEMUXER 1
#define CONFIG_BFI_DEMUXER 1
#define ENABLE_BFI_DEMUXER 1
#define CONFIG_C93_DEMUXER 1
#define ENABLE_C93_DEMUXER 1
#define CONFIG_DAUD_DEMUXER 1
#define ENABLE_DAUD_DEMUXER 1
#define CONFIG_DIRAC_DEMUXER 1
#define ENABLE_DIRAC_DEMUXER 1
#define CONFIG_DNXHD_DEMUXER 1
#define ENABLE_DNXHD_DEMUXER 1
#define CONFIG_DSICIN_DEMUXER 1
#define ENABLE_DSICIN_DEMUXER 1
#define CONFIG_DTS_DEMUXER 1
#define ENABLE_DTS_DEMUXER 1
#define CONFIG_DV_DEMUXER 1
#define ENABLE_DV_DEMUXER 1
#define CONFIG_DXA_DEMUXER 1
#define ENABLE_DXA_DEMUXER 1
#define CONFIG_EA_DEMUXER 1
#define ENABLE_EA_DEMUXER 1
#define CONFIG_EA_CDATA_DEMUXER 1
#define ENABLE_EA_CDATA_DEMUXER 1
#define CONFIG_EAC3_DEMUXER 1
#define ENABLE_EAC3_DEMUXER 1
#define CONFIG_FFM_DEMUXER 1
#define ENABLE_FFM_DEMUXER 1
#define CONFIG_FLAC_DEMUXER 1
#define ENABLE_FLAC_DEMUXER 1
#define CONFIG_FLIC_DEMUXER 1
#define ENABLE_FLIC_DEMUXER 1
#define CONFIG_FLV_DEMUXER 1
#define ENABLE_FLV_DEMUXER 1
#define CONFIG_FOURXM_DEMUXER 1
#define ENABLE_FOURXM_DEMUXER 1
#define CONFIG_GSM_DEMUXER 1
#define ENABLE_GSM_DEMUXER 1
#define CONFIG_GXF_DEMUXER 1
#define ENABLE_GXF_DEMUXER 1
#define CONFIG_H261_DEMUXER 1
#define ENABLE_H261_DEMUXER 1
#define CONFIG_H263_DEMUXER 1
#define ENABLE_H263_DEMUXER 1
#define CONFIG_H264_DEMUXER 1
#define ENABLE_H264_DEMUXER 1
#define CONFIG_IDCIN_DEMUXER 1
#define ENABLE_IDCIN_DEMUXER 1
#define CONFIG_IFF_DEMUXER 1
#define ENABLE_IFF_DEMUXER 1
#define CONFIG_IMAGE2_DEMUXER 1
#define ENABLE_IMAGE2_DEMUXER 1
#define CONFIG_IMAGE2PIPE_DEMUXER 1
#define ENABLE_IMAGE2PIPE_DEMUXER 1
#define CONFIG_INGENIENT_DEMUXER 1
#define ENABLE_INGENIENT_DEMUXER 1
#define CONFIG_IPMOVIE_DEMUXER 1
#define ENABLE_IPMOVIE_DEMUXER 1
#define CONFIG_LMLM4_DEMUXER 1
#define ENABLE_LMLM4_DEMUXER 1
#define CONFIG_M4V_DEMUXER 1
#define ENABLE_M4V_DEMUXER 1
#define CONFIG_MATROSKA_DEMUXER 1
#define ENABLE_MATROSKA_DEMUXER 1
#define CONFIG_MJPEG_DEMUXER 1
#define ENABLE_MJPEG_DEMUXER 1
#define CONFIG_MLP_DEMUXER 1
#define ENABLE_MLP_DEMUXER 1
#define CONFIG_MM_DEMUXER 1
#define ENABLE_MM_DEMUXER 1
#define CONFIG_MMF_DEMUXER 1
#define ENABLE_MMF_DEMUXER 1
#define CONFIG_MOV_DEMUXER 1
#define ENABLE_MOV_DEMUXER 1
#define CONFIG_MP3_DEMUXER 1
#define ENABLE_MP3_DEMUXER 1
#define CONFIG_MPC_DEMUXER 1
#define ENABLE_MPC_DEMUXER 1
#define CONFIG_MPC8_DEMUXER 1
#define ENABLE_MPC8_DEMUXER 1
#define CONFIG_MPEGPS_DEMUXER 1
#define ENABLE_MPEGPS_DEMUXER 1
#define CONFIG_MPEGTS_DEMUXER 1
#define ENABLE_MPEGTS_DEMUXER 1
#define CONFIG_MPEGTSRAW_DEMUXER 1
#define ENABLE_MPEGTSRAW_DEMUXER 1
#define CONFIG_MPEGVIDEO_DEMUXER 1
#define ENABLE_MPEGVIDEO_DEMUXER 1
#define CONFIG_MSNWC_TCP_DEMUXER 1
#define ENABLE_MSNWC_TCP_DEMUXER 1
#define CONFIG_MTV_DEMUXER 1
#define ENABLE_MTV_DEMUXER 1
#define CONFIG_MVI_DEMUXER 1
#define ENABLE_MVI_DEMUXER 1
#define CONFIG_MXF_DEMUXER 1
#define ENABLE_MXF_DEMUXER 1
#define CONFIG_NSV_DEMUXER 1
#define ENABLE_NSV_DEMUXER 1
#define CONFIG_NUT_DEMUXER 1
#define ENABLE_NUT_DEMUXER 1
#define CONFIG_NUV_DEMUXER 1
#define ENABLE_NUV_DEMUXER 1
#define CONFIG_OGG_DEMUXER 1
#define ENABLE_OGG_DEMUXER 1
#define CONFIG_OMA_DEMUXER 1
#define ENABLE_OMA_DEMUXER 1
#define CONFIG_PCM_ALAW_DEMUXER 1
#define ENABLE_PCM_ALAW_DEMUXER 1
#define CONFIG_PCM_MULAW_DEMUXER 1
#define ENABLE_PCM_MULAW_DEMUXER 1
#define CONFIG_PCM_F64BE_DEMUXER 1
#define ENABLE_PCM_F64BE_DEMUXER 1
#define CONFIG_PCM_F64LE_DEMUXER 1
#define ENABLE_PCM_F64LE_DEMUXER 1
#define CONFIG_PCM_F32BE_DEMUXER 1
#define ENABLE_PCM_F32BE_DEMUXER 1
#define CONFIG_PCM_F32LE_DEMUXER 1
#define ENABLE_PCM_F32LE_DEMUXER 1
#define CONFIG_PCM_S32BE_DEMUXER 1
#define ENABLE_PCM_S32BE_DEMUXER 1
#define CONFIG_PCM_S32LE_DEMUXER 1
#define ENABLE_PCM_S32LE_DEMUXER 1
#define CONFIG_PCM_S24BE_DEMUXER 1
#define ENABLE_PCM_S24BE_DEMUXER 1
#define CONFIG_PCM_S24LE_DEMUXER 1
#define ENABLE_PCM_S24LE_DEMUXER 1
#define CONFIG_PCM_S16BE_DEMUXER 1
#define ENABLE_PCM_S16BE_DEMUXER 1
#define CONFIG_PCM_S16LE_DEMUXER 1
#define ENABLE_PCM_S16LE_DEMUXER 1
#define CONFIG_PCM_S8_DEMUXER 1
#define ENABLE_PCM_S8_DEMUXER 1
#define CONFIG_PCM_U32BE_DEMUXER 1
#define ENABLE_PCM_U32BE_DEMUXER 1
#define CONFIG_PCM_U32LE_DEMUXER 1
#define ENABLE_PCM_U32LE_DEMUXER 1
#define CONFIG_PCM_U24BE_DEMUXER 1
#define ENABLE_PCM_U24BE_DEMUXER 1
#define CONFIG_PCM_U24LE_DEMUXER 1
#define ENABLE_PCM_U24LE_DEMUXER 1
#define CONFIG_PCM_U16BE_DEMUXER 1
#define ENABLE_PCM_U16BE_DEMUXER 1
#define CONFIG_PCM_U16LE_DEMUXER 1
#define ENABLE_PCM_U16LE_DEMUXER 1
#define CONFIG_PCM_U8_DEMUXER 1
#define ENABLE_PCM_U8_DEMUXER 1
#define CONFIG_PVA_DEMUXER 1
#define ENABLE_PVA_DEMUXER 1
#define CONFIG_RAWVIDEO_DEMUXER 1
#define ENABLE_RAWVIDEO_DEMUXER 1
#define ENABLE_REDIR_DEMUXER 0
#define CONFIG_RL2_DEMUXER 1
#define ENABLE_RL2_DEMUXER 1
#define CONFIG_RM_DEMUXER 1
#define ENABLE_RM_DEMUXER 1
#define CONFIG_ROQ_DEMUXER 1
#define ENABLE_ROQ_DEMUXER 1
#define CONFIG_RPL_DEMUXER 1
#define ENABLE_RPL_DEMUXER 1
#define ENABLE_RTSP_DEMUXER 0
#define ENABLE_SDP_DEMUXER 0
#define CONFIG_SEGAFILM_DEMUXER 1
#define ENABLE_SEGAFILM_DEMUXER 1
#define CONFIG_SHORTEN_DEMUXER 1
#define ENABLE_SHORTEN_DEMUXER 1
#define CONFIG_SIFF_DEMUXER 1
#define ENABLE_SIFF_DEMUXER 1
#define CONFIG_SMACKER_DEMUXER 1
#define ENABLE_SMACKER_DEMUXER 1
#define CONFIG_SOL_DEMUXER 1
#define ENABLE_SOL_DEMUXER 1
#define CONFIG_STR_DEMUXER 1
#define ENABLE_STR_DEMUXER 1
#define CONFIG_SWF_DEMUXER 1
#define ENABLE_SWF_DEMUXER 1
#define CONFIG_THP_DEMUXER 1
#define ENABLE_THP_DEMUXER 1
#define CONFIG_TIERTEXSEQ_DEMUXER 1
#define ENABLE_TIERTEXSEQ_DEMUXER 1
#define CONFIG_TTA_DEMUXER 1
#define ENABLE_TTA_DEMUXER 1
#define CONFIG_TXD_DEMUXER 1
#define ENABLE_TXD_DEMUXER 1
#define CONFIG_VC1_DEMUXER 1
#define ENABLE_VC1_DEMUXER 1
#define CONFIG_VC1T_DEMUXER 1
#define ENABLE_VC1T_DEMUXER 1
#define CONFIG_VMD_DEMUXER 1
#define ENABLE_VMD_DEMUXER 1
#define CONFIG_VOC_DEMUXER 1
#define ENABLE_VOC_DEMUXER 1
#define CONFIG_WAV_DEMUXER 1
#define ENABLE_WAV_DEMUXER 1
#define CONFIG_WC3_DEMUXER 1
#define ENABLE_WC3_DEMUXER 1
#define CONFIG_WSAUD_DEMUXER 1
#define ENABLE_WSAUD_DEMUXER 1
#define CONFIG_WSVQA_DEMUXER 1
#define ENABLE_WSVQA_DEMUXER 1
#define CONFIG_WV_DEMUXER 1
#define ENABLE_WV_DEMUXER 1
#define CONFIG_XA_DEMUXER 1
#define ENABLE_XA_DEMUXER 1
#define CONFIG_YUV4MPEGPIPE_DEMUXER 1
#define ENABLE_YUV4MPEGPIPE_DEMUXER 1
#define ENABLE_LIBNUT_DEMUXER 0
#define CONFIG_AC3_MUXER 1
#define ENABLE_AC3_MUXER 1
#define CONFIG_ADTS_MUXER 1
#define ENABLE_ADTS_MUXER 1
#define CONFIG_AIFF_MUXER 1
#define ENABLE_AIFF_MUXER 1
#define CONFIG_AMR_MUXER 1
#define ENABLE_AMR_MUXER 1
#define CONFIG_ASF_MUXER 1
#define ENABLE_ASF_MUXER 1
#define CONFIG_ASS_MUXER 1
#define ENABLE_ASS_MUXER 1
#define CONFIG_ASF_STREAM_MUXER 1
#define ENABLE_ASF_STREAM_MUXER 1
#define CONFIG_AU_MUXER 1
#define ENABLE_AU_MUXER 1
#define CONFIG_AVI_MUXER 1
#define ENABLE_AVI_MUXER 1
#define CONFIG_AVM2_MUXER 1
#define ENABLE_AVM2_MUXER 1
#define CONFIG_CRC_MUXER 1
#define ENABLE_CRC_MUXER 1
#define CONFIG_DAUD_MUXER 1
#define ENABLE_DAUD_MUXER 1
#define CONFIG_DIRAC_MUXER 1
#define ENABLE_DIRAC_MUXER 1
#define CONFIG_DNXHD_MUXER 1
#define ENABLE_DNXHD_MUXER 1
#define CONFIG_DTS_MUXER 1
#define ENABLE_DTS_MUXER 1
#define CONFIG_DV_MUXER 1
#define ENABLE_DV_MUXER 1
#define CONFIG_EAC3_MUXER 1
#define ENABLE_EAC3_MUXER 1
#define CONFIG_FFM_MUXER 1
#define ENABLE_FFM_MUXER 1
#define CONFIG_FLAC_MUXER 1
#define ENABLE_FLAC_MUXER 1
#define CONFIG_FLV_MUXER 1
#define ENABLE_FLV_MUXER 1
#define CONFIG_FRAMECRC_MUXER 1
#define ENABLE_FRAMECRC_MUXER 1
#define CONFIG_GIF_MUXER 1
#define ENABLE_GIF_MUXER 1
#define CONFIG_GXF_MUXER 1
#define ENABLE_GXF_MUXER 1
#define CONFIG_H261_MUXER 1
#define ENABLE_H261_MUXER 1
#define CONFIG_H263_MUXER 1
#define ENABLE_H263_MUXER 1
#define CONFIG_H264_MUXER 1
#define ENABLE_H264_MUXER 1
#define CONFIG_IMAGE2_MUXER 1
#define ENABLE_IMAGE2_MUXER 1
#define CONFIG_IMAGE2PIPE_MUXER 1
#define ENABLE_IMAGE2PIPE_MUXER 1
#define CONFIG_IPOD_MUXER 1
#define ENABLE_IPOD_MUXER 1
#define CONFIG_M4V_MUXER 1
#define ENABLE_M4V_MUXER 1
#define CONFIG_MATROSKA_MUXER 1
#define ENABLE_MATROSKA_MUXER 1
#define CONFIG_MATROSKA_AUDIO_MUXER 1
#define ENABLE_MATROSKA_AUDIO_MUXER 1
#define CONFIG_MJPEG_MUXER 1
#define ENABLE_MJPEG_MUXER 1
#define CONFIG_MMF_MUXER 1
#define ENABLE_MMF_MUXER 1
#define CONFIG_MOV_MUXER 1
#define ENABLE_MOV_MUXER 1
#define CONFIG_MP2_MUXER 1
#define ENABLE_MP2_MUXER 1
#define CONFIG_MP3_MUXER 1
#define ENABLE_MP3_MUXER 1
#define CONFIG_MP4_MUXER 1
#define ENABLE_MP4_MUXER 1
#define CONFIG_MPEG1SYSTEM_MUXER 1
#define ENABLE_MPEG1SYSTEM_MUXER 1
#define CONFIG_MPEG1VCD_MUXER 1
#define ENABLE_MPEG1VCD_MUXER 1
#define CONFIG_MPEG1VIDEO_MUXER 1
#define ENABLE_MPEG1VIDEO_MUXER 1
#define CONFIG_MPEG2DVD_MUXER 1
#define ENABLE_MPEG2DVD_MUXER 1
#define CONFIG_MPEG2SVCD_MUXER 1
#define ENABLE_MPEG2SVCD_MUXER 1
#define CONFIG_MPEG2VIDEO_MUXER 1
#define ENABLE_MPEG2VIDEO_MUXER 1
#define CONFIG_MPEG2VOB_MUXER 1
#define ENABLE_MPEG2VOB_MUXER 1
#define CONFIG_MPEGTS_MUXER 1
#define ENABLE_MPEGTS_MUXER 1
#define CONFIG_MPJPEG_MUXER 1
#define ENABLE_MPJPEG_MUXER 1
#define CONFIG_MXF_MUXER 1
#define ENABLE_MXF_MUXER 1
#define CONFIG_NULL_MUXER 1
#define ENABLE_NULL_MUXER 1
#define CONFIG_NUT_MUXER 1
#define ENABLE_NUT_MUXER 1
#define CONFIG_OGG_MUXER 1
#define ENABLE_OGG_MUXER 1
#define CONFIG_PCM_ALAW_MUXER 1
#define ENABLE_PCM_ALAW_MUXER 1
#define CONFIG_PCM_MULAW_MUXER 1
#define ENABLE_PCM_MULAW_MUXER 1
#define CONFIG_PCM_F64BE_MUXER 1
#define ENABLE_PCM_F64BE_MUXER 1
#define CONFIG_PCM_F64LE_MUXER 1
#define ENABLE_PCM_F64LE_MUXER 1
#define CONFIG_PCM_F32BE_MUXER 1
#define ENABLE_PCM_F32BE_MUXER 1
#define CONFIG_PCM_F32LE_MUXER 1
#define ENABLE_PCM_F32LE_MUXER 1
#define CONFIG_PCM_S32BE_MUXER 1
#define ENABLE_PCM_S32BE_MUXER 1
#define CONFIG_PCM_S32LE_MUXER 1
#define ENABLE_PCM_S32LE_MUXER 1
#define CONFIG_PCM_S24BE_MUXER 1
#define ENABLE_PCM_S24BE_MUXER 1
#define CONFIG_PCM_S24LE_MUXER 1
#define ENABLE_PCM_S24LE_MUXER 1
#define CONFIG_PCM_S16BE_MUXER 1
#define ENABLE_PCM_S16BE_MUXER 1
#define CONFIG_PCM_S16LE_MUXER 1
#define ENABLE_PCM_S16LE_MUXER 1
#define CONFIG_PCM_S8_MUXER 1
#define ENABLE_PCM_S8_MUXER 1
#define CONFIG_PCM_U32BE_MUXER 1
#define ENABLE_PCM_U32BE_MUXER 1
#define CONFIG_PCM_U32LE_MUXER 1
#define ENABLE_PCM_U32LE_MUXER 1
#define CONFIG_PCM_U24BE_MUXER 1
#define ENABLE_PCM_U24BE_MUXER 1
#define CONFIG_PCM_U24LE_MUXER 1
#define ENABLE_PCM_U24LE_MUXER 1
#define CONFIG_PCM_U16BE_MUXER 1
#define ENABLE_PCM_U16BE_MUXER 1
#define CONFIG_PCM_U16LE_MUXER 1
#define ENABLE_PCM_U16LE_MUXER 1
#define CONFIG_PCM_U8_MUXER 1
#define ENABLE_PCM_U8_MUXER 1
#define CONFIG_PSP_MUXER 1
#define ENABLE_PSP_MUXER 1
#define CONFIG_RAWVIDEO_MUXER 1
#define ENABLE_RAWVIDEO_MUXER 1
#define CONFIG_RM_MUXER 1
#define ENABLE_RM_MUXER 1
#define CONFIG_ROQ_MUXER 1
#define ENABLE_ROQ_MUXER 1
#define ENABLE_RTP_MUXER 0
#define CONFIG_SWF_MUXER 1
#define ENABLE_SWF_MUXER 1
#define CONFIG_TG2_MUXER 1
#define ENABLE_TG2_MUXER 1
#define CONFIG_TGP_MUXER 1
#define ENABLE_TGP_MUXER 1
#define CONFIG_VC1T_MUXER 1
#define ENABLE_VC1T_MUXER 1
#define CONFIG_VOC_MUXER 1
#define ENABLE_VOC_MUXER 1
#define CONFIG_WAV_MUXER 1
#define ENABLE_WAV_MUXER 1
#define CONFIG_YUV4MPEGPIPE_MUXER 1
#define ENABLE_YUV4MPEGPIPE_MUXER 1
#define ENABLE_LIBNUT_MUXER 0
#define ENABLE_FILE_PROTOCOL 0
#define ENABLE_HTTP_PROTOCOL 0
#define ENABLE_PIPE_PROTOCOL 0
#define ENABLE_RTP_PROTOCOL 0
#define ENABLE_TCP_PROTOCOL 0
#define ENABLE_UDP_PROTOCOL 0
#define CONFIG_DUMP_EXTRADATA_BSF 1
#define ENABLE_DUMP_EXTRADATA_BSF 1
#define CONFIG_H264_MP4TOANNEXB_BSF 1
#define ENABLE_H264_MP4TOANNEXB_BSF 1
#define CONFIG_IMX_DUMP_HEADER_BSF 1
#define ENABLE_IMX_DUMP_HEADER_BSF 1
#define CONFIG_MJPEGA_DUMP_HEADER_BSF 1
#define ENABLE_MJPEGA_DUMP_HEADER_BSF 1
#define CONFIG_MP3_HEADER_COMPRESS_BSF 1
#define ENABLE_MP3_HEADER_COMPRESS_BSF 1
#define CONFIG_MP3_HEADER_DECOMPRESS_BSF 1
#define ENABLE_MP3_HEADER_DECOMPRESS_BSF 1
#define CONFIG_MOV2TEXTSUB_BSF 1
#define ENABLE_MOV2TEXTSUB_BSF 1
#define CONFIG_NOISE_BSF 1
#define ENABLE_NOISE_BSF 1
#define CONFIG_REMOVE_EXTRADATA_BSF 1
#define ENABLE_REMOVE_EXTRADATA_BSF 1
#define CONFIG_TEXT2MOVSUB_BSF 1
#define ENABLE_TEXT2MOVSUB_BSF 1

#endif /* MPLAYER_CONFIG_H */
